## cd-circleprint 0.3.6-5

=== Makefile ===
# Edit the DIRs for your needs and run make
# The Prefix is to debianize the program

PREFIX = debian/tmp
INSTALL_DIR = $(PREFIX)/usr

INSTALL = /usr/bin/install

all: install 

install: 
	$(INSTALL) -d $(INSTALL_DIR)/bin/
	cp perl/cd-label.pl $(INSTALL_DIR)/bin/cd-circleprint
	chmod 755 $(INSTALL_DIR)/bin/cd-circleprint
	$(INSTALL) -d $(PREFIX)/usr/share/cd-circleprint/
	cp graphics/debian_logo.eps $(PREFIX)/usr/share/cd-circleprint/debian_logo.eps
	cp graphics/unixstuff.eps $(PREFIX)/usr/share/cd-circleprint/unixstuff.eps
	$(INSTALL) -d $(INSTALL_DIR)/man/man1/
	pod2man --section=1 perl/cd-label.pl > $(INSTALL_DIR)/man/man1/cd-circleprint.1

uninstall: 
	rm $(INSTALL_DIR)/bin/cd-circleprint
	rm $(INSTALL_DIR)/man/man1/cd-circleprint.1.gz
	rm $(PREFIX)/usr/share/cd-circleprint/*.eps

clean: uninstall

=== debian/changelog ===
cd-circleprint (0.3.6-5) unstable; urgency=low

  * Fixed a bug in printing textfields, thanks to Peter Fales
  closes:  Bug#130618

 -- Matthias Kabel <mkabel@debian.org>  Tue, 29 Jan 2002 20:43:05 +0100

cd-circleprint (0.3.6-4) unstable; urgency=low

  * Fixed a bug in printing textfields, thanks to Peter Fales
  closes:  Bug#130618

 -- Matthias Kabel <mkabel@debian.org>  Mon, 21 Jan 2002 22:50:45 +0100

cd-circleprint (0.3.6-3) unstable; urgency=low

  * Fixed a bug storing options
  closes:  Bug#130202

 -- Matthias Kabel <mkabel@debian.org>  Mon, 21 Jan 2002 22:50:45 +0100

cd-circleprint (0.3.6-2) unstable; urgency=low

  * Added some warning messages
  * Better printing of the textfields

 -- Matthias Kabel <mkabel@debian.org>  Wed, 9 Jan 2002 22:40:38 +0100

cd-circleprint (0.3.6-1) unstable; urgency=low

  * more options are saved in the configuration file
  * changed the selection of the background graphics

 -- Matthias Kabel <mkabel@debian.org>  Mon, 7 Jan 2002 22:44:21 +0100

cd-circleprint (0.3.5-3) unstable; urgency=low

  * more options are saved in the configuration file
  * more shortcuts

 -- Matthias Kabel <mkabel@debian.org>  Mon, 7 Jan 2002 22:44:21 +0100

cd-circleprint (0.3.5-2) unstable; urgency=low

  * more options are saved in the configuration file
  * two more shortcuts

 -- Matthias Kabel <mkabel@debian.org>  Sun, 6 Jan 2002 20:46:37 +0100

cd-circleprint (0.3.5-1) unstable; urgency=low

  * Moved the script from /usr/X11R6/bin to /usr/bin
  * You can terminate the program with C-q
  * more options are saved in the configurtaion file
  * Fixed a bug in reading the configuration files
  closes: Bug#127982

 -- Matthias Kabel <mkabel@debian.org>  Sun, 6 Jan 2002 14:22:32 +0100

cd-circleprint (0.3.4-3) unstable; urgency=low

  * Fixed spelling errors in description
  closes: Bug#124484

 -- Matthias Kabel <mkabel@debian.org>  Fri, 28 Dec 2001 20:19:44 +0100

cd-circleprint (0.3.4-2) unstable; urgency=low

  * Fixed a bug reading the configuration files

 -- Matthias Kabel <mkabel@debian.org>  Wed, 17 Nov 2001 20:09:16 +0100

cd-circleprint (0.3.4-1) unstable; urgency=low

  * Fixed a bug with the page-deformation

  closes: Bug#119063

 -- Matthias Kabel <mkabel@debian.org>  Wed, 14 Nov 2001 21:39:03 +0100

cd-circleprint (0.3.3-1) unstable; urgency=low

  * New version: Additional textfield 

  closes: Bug#105178
 -- Matthias Kabel <mkabel@debian.org>  Sun, 15 Jul 2001 14:07:13 +0100

cd-circleprint (0.3.2-1) unstable; urgency=low

  * New version: The diameters of the circles are now variable.

 -- Matthias Kabel <mkabel@debian.org>  Sun, 6 May 2001 22:04:09 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cd-circleprint
Section: text
Priority: optional
Maintainer: Matthias Kabel <mkabel@debian.org>
Standards-Version: 3.2.1

Package: cd-circleprint
Architecture: any
Depends:  perl, perl-modules, perl-tk
Description: prints round shaped cd-labels
 a program to create round shaped cd-labels written in perl,
 using perl-tk as frontend.
 It has four lines of nice round shaped text for each label,
 additional four fields with normal text, choosable text-size,
 font colour, background colour and background images.
 You can squeeze the whole page if your printer doesn't generate correct
 circles and you can move the circle on the sheet.   
 The output is postscript so it should be usable on any system.

## cd-circleprint 0.4-1.2

=== debian/changelog ===
cd-circleprint (0.4-1.2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/copyright: mention location of GPL

 -- Andrew Pollock <apollock@debian.org>  Sat,  8 May 2004 23:40:10 +1000

cd-circleprint (0.4-1.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debmake.  Closes: #188901.

 -- Daniel Schepler <schepler@debian.org>  Mon, 28 Jul 2003 21:30:44 -0700

cd-circleprint (0.4-1) unstable; urgency=low

  * Handles other graphic-files than eps with convert

 -- Matthias Kabel <mkabel@debian.org>  Sun, 6 Apr 2003 21:01:56 +0200

cd-circleprint (0.3.9-1) unstable; urgency=low

  * storing the last path to the graphic files

 -- Matthias Kabel <mkabel@debian.org>  Wed, 2 Apr 2003 22:12:35 +0200

cd-circleprint (0.3.8-1) unstable; urgency=low

  * closes: Bug#158197
  * scans for a showpage in a graphic file and deletes the line

 -- Matthias Kabel <mkabel@debian.org>  Dun, 22 Sep 2002 20:00:54 +0200

cd-circleprint (0.3.7-1) unstable; urgency=low

  * Additional entry-fields for moving the labels on the page
  * Small changes in the man page
  
  closes: Bug#119063, Bug#127982, Bug#130202

 -- Matthias Kabel <mkabel@debian.org>  Dun, 21 Jan 2002 20:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: cd-circleprint
 Section: text
 Priority: optional
-Maintainer: Matthias Kabel <mkabel@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debmake
 Standards-Version: 3.2.1
 
 Package: cd-circleprint
 Architecture: any
 Depends:  perl, perl-modules, perl-tk
+Suggests: imagemagick, gv, gs
 Description: prints round shaped cd-labels
  a program to create round shaped cd-labels written in perl,
  using perl-tk as frontend.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=cd-circle

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
 	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd CHANGELOG 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## cd-circleprint 0.4.3

=== Makefile ===
# Edit the DIRs for your needs and run make

INSTALL_DIR = /usr/local

INSTALL = /usr/bin/install

all: install 

install: 
	$(INSTALL) -d $(INSTALL_DIR)/bin/
	cp perl/cd-label.pl $(INSTALL_DIR)/bin/cd-circleprint
	chmod 755 $(INSTALL_DIR)/bin/cd-circleprint
	$(INSTALL) -d /usr/share/cd-circleprint/
	cp graphics/debian_logo.eps /usr/share/cd-circleprint/debian_logo.eps
	$(INSTALL) -d $(INSTALL_DIR)/man/man1/
	pod2man --section=1 perl/cd-label.pl > $(INSTALL_DIR)/man/man1/cd-circleprint.1

uninstall: 
	rm $(INSTALL_DIR)/bin/cd-circleprint
	rm $(INSTALL_DIR)/man/man1/cd-circleprint.1.gz
	rm /usr/share/cd-circleprint/*.eps

clean: uninstall

## cd-circleprint 0.5.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	$(INSTALL) -d /usr/share/cd-circleprint/
 	cp graphics/debian_logo.eps /usr/share/cd-circleprint/debian_logo.eps
 	$(INSTALL) -d $(INSTALL_DIR)/man/man1/
-	pod2man --section=1 perl/cd-label.pl > $(INSTALL_DIR)/man/man1/cd-circleprint.1
+	pod2man --section=1 $(INSTALL_DIR)/bin/cd-circleprint > $(INSTALL_DIR)/man/man1/cd-circleprint.1
 
 uninstall: 
 	rm $(INSTALL_DIR)/bin/cd-circleprint

## cd-circleprint 0.7.0

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	pod2man --section=1 $(INSTALL_DIR)/bin/cd-circleprint > $(INSTALL_DIR)/man/man1/cd-circleprint.1
 
 uninstall: 
-	rm $(INSTALL_DIR)/bin/cd-circleprint
-	rm $(INSTALL_DIR)/man/man1/cd-circleprint.1.gz
-	rm /usr/share/cd-circleprint/*.eps
+	rm -f $(INSTALL_DIR)/bin/cd-circleprint
+	rm -f $(INSTALL_DIR)/man/man1/cd-circleprint.1.gz
+	rm -f /usr/share/cd-circleprint/*.eps
 
 clean: uninstall

=== debian/changelog ===
cd-circleprint (0.7.0-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 0.3.7-1, 0.3.4-2.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Oct 2024 08:41:55 +0200

cd-circleprint (0.7.0-6) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007571).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 18:48:01 +0200

cd-circleprint (0.7.0-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:24 +0100

cd-circleprint (0.7.0-5) unstable; urgency=medium

  * Update standards version to 4.0.0 (no changes required).
  * Updated to debhelper compatibility level 9
  * Fixed man page spelling error

 -- Colin Tuckley <colint@debian.org>  Mon, 24 Jul 2017 20:49:39 +0100

cd-circleprint (0.7.0-4) unstable; urgency=low

  * Update standards version to 3.9.4 (no changes required).
  * Add missing build targets (build-arch, build-indep) to debian/rules
  * Add debian/watch (thanks to bartm@debian.org)

 -- Colin Tuckley <colint@debian.org>  Wed, 08 May 2013 21:38:44 +0100

cd-circleprint (0.7.0-3) unstable; urgency=low

  * Remove suggest for ghostscript due to security concerns
    (closes: #584042).
  * Update standards version to 3.8.4 (no changes required).
  * Fix misc formatting and spelling problems in man page.

 -- Colin Tuckley <colint@debian.org>  Tue, 01 Jun 2010 16:53:04 +0100

cd-circleprint (0.7.0-2) unstable; urgency=low

  * Update standards version to 3.8.0 (no changes required).
  * Fix suggests for ghostscript (was gs)
  * Fix error when font .afm files are missing

 -- Colin Tuckley <colint@debian.org>  Mon, 16 Feb 2009 21:19:00 +0000

cd-circleprint (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Updated maintainer address.
  * Update standards version to 3.7.3 (no changes required).
  * Added Homepage field to debian/control.

 -- Colin Tuckley <colint@debian.org>  Mon, 24 Dec 2007 19:30:25 +0000

cd-circleprint (0.6.0-1) unstable; urgency=low

  * New upstream version
  * Updated to debhelper compatibility level 5
  * update copyright notices.  it's 2007

 -- Colin Tuckley <colin@tuckley.org>  Fri, 27 Jul 2007 15:59:42 +0100

cd-circleprint (0.5.1-2) unstable; urgency=low

  * updated to Standards-Version 3.7.2 (No changes required)
  * Fix bug in Font selection dialogue (closes: #415824)

 -- Colin Tuckley <colin@tuckley.org>  Thu, 22 Mar 2007 11:04:15 +0000

cd-circleprint (0.5.1-1) unstable; urgency=low

  * New upstream version
  * minor description fixes
  * fix dates in old changelog entries
  * debian/rules: don't remove debian/cd-circleprint
  * update copyright notices.  it's 2006
  * Updated FSF address in README
  * Makefile changes to the install path for Debianisation

 -- Colin Tuckley <colin@tuckley.org>  Mon,  6 Mar 2006 14:54:50 +0000

cd-circleprint (0.5.0-1) unstable; urgency=low

  * New upstream version
  * Added support for the debian menu system
  * debian/rules: give a DESTDIR on make clean
  * Updated to debhelper compatibility level 4
  * Update standards version to 3.6.2 (no changes required)

 -- Colin Tuckley <colin@tuckley.org>  Thu,  7 Jul 2005 21:12:01 +0100

cd-circleprint (0.4.3-1) unstable; urgency=low

  * New Maintainer (and contact info) (closes: #244200)

 -- Colin Tuckley <colin@tuckley.org>  Sun, 20 Feb 2005 13:47:56 +0000

cd-circleprint (0.4-2) unstable; urgency=low

  * Switch from debmake to debhelper and do some cleanup.
  * Added missing colon after "Labeltext" (Bug #233782).
  * Changed to Architecture: all.

 -- Santiago Vila <sanvila@debian.org>  Fri,  7 Jan 2005 16:57:56 +0100

=== debian/control ===
Source: cd-circleprint
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: http://sourceforge.net/projects/cd-circle-print/
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cd-circleprint
Vcs-Git: https://salsa.debian.org/debian/cd-circleprint.git

Package: cd-circleprint
Architecture: all
Depends: perl,
         perl-tk,
         ${misc:Depends},
Suggests: gv,
          imagemagick,
Description: prints round cd-labels
 cd-circleprint is a program to create round cd-labels written in perl,
 using perl-tk to produce a graphical frontend. The
 labels have four lines of nice curved text and an additional four
 fields with normal text. Each field has selectable text-size, font and
 colour. The background colour is also selectable. The label may also have
 a background image.
 You can squeeze the whole page if your printer doesn't generate correct
 circles and you can move the two labels on the sheet to accommodate
 different types of label sheets.
 The output is postscript to make it as portable as possible.

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build

clean:
	dh_testdir
	rm -f build
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=`pwd`/debian/cd-circleprint
	rm -f `find . -name "*~"`
	rm -rf debian/files* core debian/substvars
	dh_clean

binary-indep: checkroot build
	dh_testdir
	rm -rf debian/cd-circleprint
	install -d debian/cd-circleprint
	$(MAKE) install DESTDIR=`pwd`/debian/cd-circleprint
	dh_installdocs
	dh_installchangelogs CHANGELOG
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: checkroot build

binary: binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/cd-circle-print/cd-circleprint(?:[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|jar)
